NextSDS Docs

List chemicals at a location

Returns a paginated list of inventory items (chemicals) stored at the specified location.

GET
/locations/{locationId}/inventory

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the token. Obtain from your NextSDS team settings.

In: header

Path Parameters

locationId*string

Location UUID

Formatuuid

Query Parameters

page?integer

Page number (1-based)

Default1
Range1 <= value
per_page?integer

Items per page (max 100)

Default25
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://api.nextsds.com/v1/locations/497f6eca-6276-4993-bfeb-53cbbbba6f08/inventory"
{
  "meta": {
    "page": 0,
    "per_page": 0,
    "total": 0,
    "has_more": true
  },
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "sds_id": "a2a3d943-260b-4ccb-abd6-88a2008098d9",
      "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795",
      "product_name": "string",
      "amount": 0,
      "unit": "kg",
      "container_count": 0,
      "storage_location": "Shelf B-3",
      "usage_description": "string",
      "department": "string",
      "employees": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "type": "https://api.nextsds.com/errors/unauthorized",
  "title": "Unauthorized",
  "status": 401,
  "detail": "Invalid or missing X-API-Key header"
}
{
  "type": "https://api.nextsds.com/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "The requested resource was not found"
}